petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatKAIJRestoreS

Restore array obtained with MatKAIJGetS()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJRestoreS(Mat A,PetscScalar **S)

Not collective

### Input Parameter

A -the KAIJ matrix

### Output Parameter

S -location of pointer to array obtained with MatKAIJGetS()

Note: This routine zeros the array pointer to prevent accidental reuse after it has been restored. If NULL is passed, it will not attempt to zero the array pointer.

### See Also

MatKAIJGetS(), MatKAIJGetSRead(), MatKAIJRestoreSRead()

### Level

advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages